## epiphany-browser 42.1

=== debian/changelog ===
epiphany-browser (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1968747)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 15:07:56 -0400

epiphany-browser (42.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 20:57:19 -0400

epiphany-browser (42.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 16:56:32 -0400

epiphany-browser (42~beta-2) experimental; urgency=medium

  * Build with webkit2gtk's 4.1 API (uses libsoup3) (LP: #1964132)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Mar 2022 13:46:15 -0400

epiphany-browser (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop meson patch: applied in new release
  * debian/control.in: Bump minimum glib to 2.67.4

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 09:24:21 -0500

epiphany-browser (41.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Mark Debian-specific patches as intentionally not forwarded
  * d/p/Remove-incorrect-args-for-i18n.merge_file.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005579)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 15:08:12 +0000

epiphany-browser (41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Dec 2021 18:32:51 -0500

epiphany-browser (41.2-1) unstable; urgency=high

  * New upstream release
    - Includes fixes for CVE-2021-45085, CVE-2021-45086, CVE-2021-45087,
      CVE-2021-4508 (LP: #1955362)
  * debian/copyright: minor update

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Dec 2021 20:27:53 -0500

epiphany-browser (41.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Sep 2021 17:51:02 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               gobject-introspection (>= 0.9.12-4~),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools (>= 1.0),
               iso-codes (>= 0.35),
               itstool,
               libarchive-dev,
               libdazzle-1.0-dev (>= 3.37.1),
               libgcr-3-dev (>= 3.5.5),
               libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.67.4),
               libgtk-3-dev (>= 3.22.13),
               libhandy-1-dev (>= 1.1),
               libjson-glib-dev (>= 1.6),
               libsecret-1-dev (>= 0.19),
               libsoup-3.0-dev (>= 2.99.4),
               libsqlite3-dev,
               libwebkit2gtk-4.1-dev (>= 2.33.2),
               libxml-parser-perl,
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               meson (>= 0.51.0),
               nettle-dev (>= 3.4),
               pkg-config,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
Homepage: https://wiki.gnome.org/Apps/Web

Package: epiphany-browser
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         epiphany-browser-data (>= ${source:Version}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: swfdec-mozilla
Recommends: ca-certificates, evince, yelp
Provides: gnome-www-browser, www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance
 on external applications for performing external tasks (such as reading
 email). Simplicity does not mean less features; Epiphany has everything
 a modern web browser is expected to have.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibportal=disabled \
		-Dsoup2=disabled \
		-Dnetwork_tests=disabled

execute_after_dh_install-arch:
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## epiphany-browser 42.4

=== meson_options.txt ===
option('developer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable developer mode'
)

option('libportal',
  type: 'feature',
  value: 'enabled',
  description: 'Depend on libportal for Flatpak support'
)

option('network_tests',
  type: 'feature',
  value: 'disabled',
  description: 'Enable tests that require network access, if unit_tests are enabled'
)

option('tech_preview',
  type: 'boolean',
  value: false,
  description: 'Enable Epiphany Tech Preview branding'
)

option('profile',
  type: 'string',
  value: '',
  description: 'Build with appended profile to application ID'
)

option('unit_tests',
  type: 'feature',
  value: 'enabled',
  description: 'Enable unit tests'
)

option('gsb_api_key',
  type: 'string',
  value: '',
  description: 'The API key used to access the Google Safe Browsing API v4'
)

option('soup2',
  type: 'feature',
  value: 'enabled',
  description: 'Use libsoup2 instead of libsoup3'
)

=== debian/changelog ===
epiphany-browser (42.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1984266)
  * Drop patch for CVE-2022-29536: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 12:00:38 -0400

epiphany-browser (42.1-1ubuntu1) jammy-security; urgency=medium

  * SECURITY UPDATE: Fix memory corruption in ephy_string_shorten()
    - CVE-2022-29536 (LP: #1969851)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 31 Jul 2022 15:53:30 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
@@ -40,8 +41,10 @@
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git -b ubuntu/jammy
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/epiphany/cache.json \
	\d+/epiphany-([\d.]+)@ARCHIVE_EXT@

## epiphany-browser 43.0

=== debian/changelog ===
epiphany-browser (43.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 17:14:25 -0400

epiphany-browser (43.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.1

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 14:08:10 -0400

epiphany-browser (43~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 14:03:55 -0400

epiphany-browser (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on libportal-gtk3-dev
  * debian/control.in: Bump minimum meson to 0.59.0
  * debian/control.in: Bump minimum webkit2gtk to 2.37.1
  * debian/control.in: Build-Depend on desktop-file-utils
  * Run build tests through dbus-run-session
  * Revert a commit that triggered a build test failure

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 18:41:17 -0400

epiphany-browser (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 18:14:55 -0400

epiphany-browser (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 11 Jul 2022 15:25:30 +0200

epiphany-browser (42.2-1) unstable; urgency=high

  * New upstream release
    - Includes fix for CVE-2022-29536 (Closes: #1009959) (LP: #1969851)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 17:01:00 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
+               dbus <!nocheck>,
                debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-gnome,
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
@@ -20,31 +21,30 @@
                libarchive-dev,
                libdazzle-1.0-dev (>= 3.37.1),
                libgcr-3-dev (>= 3.5.5),
-               libgdk-pixbuf-2.0-dev (>= 2.36.5) | libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.4),
                libgtk-3-dev (>= 3.22.13),
                libhandy-1-dev (>= 1.1),
                libjson-glib-dev (>= 1.6),
+               libportal-gtk3-dev (>= 0.6),
                libsecret-1-dev (>= 0.19),
                libsoup-3.0-dev (>= 2.99.4),
                libsqlite3-dev,
-               libwebkit2gtk-4.1-dev (>= 2.33.2),
+               libwebkit2gtk-4.1-dev (>= 2.37.1),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
-               meson (>= 0.51.0),
+               meson (>= 0.59.0),
                nettle-dev (>= 3.4),
                pkg-config,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.5.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git -b ubuntu/jammy
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web
 
 Package: epiphany-browser

## epiphany-browser 43.1

=== meson_options.txt ===
--- 
+++ 
@@ -2,12 +2,6 @@
   type: 'boolean',
   value: false,
   description: 'Enable developer mode'
-)
-
-option('libportal',
-  type: 'feature',
-  value: 'enabled',
-  description: 'Depend on libportal for Flatpak support'
 )
 
 option('network_tests',
@@ -39,9 +33,3 @@
   value: '',
   description: 'The API key used to access the Google Safe Browsing API v4'
 )
-
-option('soup2',
-  type: 'feature',
-  value: 'enabled',
-  description: 'Use libsoup2 instead of libsoup3'
-)

=== debian/changelog ===
epiphany-browser (43.1-1) unstable; urgency=high

  * New upstream release
    - Includes fix for CVE-2023-26081 (Closes: #1031727)
  * Address lintian's error and several warnings:
    - debian/source/lintian-overrides: Add to override source-is-missing
      for third-party/highlightjs/highlight.js; the source is there.
    - debian/copyright: Update to reflect removals and relocations.

 -- Amin Bandali <bandali@canonical.com>  Tue, 21 Feb 2023 20:17:42 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dlibportal=disabled \
-		-Dsoup2=disabled \
 		-Dnetwork_tests=disabled
 
 execute_after_dh_install-arch:
@@ -17,4 +15,4 @@
 		&& mv epiphany-browser.sh epiphany-browser
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	dbus-run-session -- xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/epiphany/cache.json \
	[\d.]+/epiphany-([\d.]+)@ARCHIVE_EXT@

## epiphany-browser 44.1

=== debian/changelog ===
epiphany-browser (44.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix crash restoring session with view-source URI without host
      component
      (https://gitlab.gnome.org/GNOME/epiphany/-/issues/1987)
    - Fix criticals when running search provider
      (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2006)
    - Increase file descriptor soft limit
      (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2010)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 03 Apr 2023 07:59:27 -0400

epiphany-browser (44.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.3.1 for tab display fix
  * Drop 2 build fix patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:51:37 -0400

epiphany-browser (44~rc-1) experimental; urgency=medium

  * New upstream release (LP: #2011851)
  * Build with GTK4 & libadwaita
  * Build with webkitgtk 6.0
  * Build-Depend on libgstreamer1.0-dev
  * Build with gcr4
  * debian/rules: Disable granite integration
    since granite-7 7.2 isn't in Unstable yet
  * Add patch to disable the webview test since it doesn't work
    in our build environment
  * Cherry-pick patches to fix build with latest webkitgtk

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2023 13:28:37 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -18,20 +18,20 @@
                gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
+               libadwaita-1-dev (>= 1.3.1),
                libarchive-dev,
-               libdazzle-1.0-dev (>= 3.37.1),
-               libgcr-3-dev (>= 3.5.5),
+               libgcr-4-dev,
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.4),
-               libgtk-3-dev (>= 3.22.13),
-               libhandy-1-dev (>= 1.1),
+               libgstreamer1.0-dev,
+               libgtk-4-dev (>= 4.9.3),
                libjson-glib-dev (>= 1.6),
-               libportal-gtk3-dev (>= 0.6),
+               libportal-gtk4-dev (>= 0.6),
                libsecret-1-dev (>= 0.19),
                libsoup-3.0-dev (>= 2.99.4),
                libsqlite3-dev,
-               libwebkit2gtk-4.1-dev (>= 2.37.1),
+               libwebkitgtk-6.0-dev (>= 2.39.91),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 %:
 	dh $@
 
+# Disable granite since granite-7 7.2 isn't in Unstable yet
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dgranite=disabled \
 		-Dnetwork_tests=disabled
 
 execute_after_dh_install-arch:

## epiphany-browser 44.6

=== debian/changelog ===
epiphany-browser (44.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 17:08:11 -0400

epiphany-browser (44.5-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:14:24 -0400

epiphany-browser (44.5-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- jardon <jarred.wilson@canonical.com>  Tue, 11 Jul 2023 13:16:46 -0400

epiphany-browser (44.3-1) experimental; urgency=medium

  * New upstream release (LP: #2020822)
    - Fix failure to create web applications
      (https://gitlab.gnome.org/GNOME/epiphany/-/issues/1989)
    - Fix crashes when using bookmarks popover
      (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2055)
    - Fix storage access (Intelligent Tracking Prevention) permission
      requests (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2065)
    - Remove Purism metadata from appdata file
      https://gitlab.gnome.org/GNOME/epiphany/-/merge_requests/1326

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 25 May 2023 17:32:31 -0400

epiphany-browser (44.2-1) experimental; urgency=medium

  * New upstream release
     - Fix invalid characters in screenshot suggested filename
       (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2013)
     - Relocate and fix Sync Now button in Firefox Sync dialog
       (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2042)
     - Fix crash when closing window and discarding modified forms
       (https://gitlab.gnome.org/GNOME/epiphany/-/issues/2043)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 24 Apr 2023 23:14:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -42,7 +42,7 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://wiki.gnome.org/Apps/Web

## epiphany-browser 45~beta

=== debian/changelog ===
epiphany-browser (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: bump minimum GTK4, libadwaita, and webkit2gtk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 18:58:44 -0400

## epiphany-browser 45.0

=== debian/changelog ===
epiphany-browser (45.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Release to unstable

 -- Jarred Wilson <jarred.wilson@canonical.com>  Fri, 15 Sep 2023 16:09:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -18,20 +18,20 @@
                gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
-               libadwaita-1-dev (>= 1.3.1),
+               libadwaita-1-dev (>= 1.4~beta),
                libarchive-dev,
                libgcr-4-dev,
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.4),
                libgstreamer1.0-dev,
-               libgtk-4-dev (>= 4.9.3),
+               libgtk-4-dev (>= 4.10.0),
                libjson-glib-dev (>= 1.6),
                libportal-gtk4-dev (>= 0.6),
                libsecret-1-dev (>= 0.19),
                libsoup-3.0-dev (>= 2.99.4),
                libsqlite3-dev,
-               libwebkitgtk-6.0-dev (>= 2.39.91),
+               libwebkitgtk-6.0-dev (>= 2.41.1),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),

## epiphany-browser 46~alpha

=== debian/changelog ===
epiphany-browser (46~alpha-1) experimental; urgency=medium

  * New upstream release
  * Build with granite support
  * Drop obsolete configure option
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 12:00:54 -0500

epiphany-browser (45.2-1) unstable; urgency=medium

  * New upstream release
  * Drop tests locale patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 11:25:09 -0500

epiphany-browser (45.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 07 Nov 2023 16:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: epiphany-browser
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -24,6 +20,7 @@
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.4),
+               libgranite-7-dev (>= 7.2.0),
                libgstreamer1.0-dev,
                libgtk-4-dev (>= 4.10.0),
                libjson-glib-dev (>= 1.6),

## epiphany-browser 46.0

=== debian/changelog ===
epiphany-browser (46.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:03 +1100

epiphany-browser (46.0-2) unstable; urgency=medium

  * Drop patch reverting commit that required webkit2gtk 2.43
  * Bump minimum webkit2gtk to 2.43.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 13:28:07 -0400

epiphany-browser (46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 to 4.12.0
  * Revert commit that requires webkit2gtk 2.43 which is not yet in Unstable
  * Drop patch applied in new release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 16:40:49 -0400

epiphany-browser (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick proposed patch to fix GCK dependency
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 11:17:32 -0500

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/epiphany/cache.json \
	[\d.]+/epiphany-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## epiphany-browser 46.1

=== debian/changelog ===
epiphany-browser (46.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 06:57:42 -0400

=== debian/control ===
--- 
+++ 
@@ -22,27 +22,27 @@
                libglib2.0-dev (>= 2.67.4),
                libgranite-7-dev (>= 7.2.0),
                libgstreamer1.0-dev,
-               libgtk-4-dev (>= 4.10.0),
+               libgtk-4-dev (>= 4.12.0),
                libjson-glib-dev (>= 1.6),
                libportal-gtk4-dev (>= 0.6),
                libsecret-1-dev (>= 0.19),
                libsoup-3.0-dev (>= 2.99.4),
                libsqlite3-dev,
-               libwebkitgtk-6.0-dev (>= 2.41.1),
+               libwebkitgtk-6.0-dev (>= 2.43.4),
                libxml-parser-perl,
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                meson (>= 0.59.0),
                nettle-dev (>= 3.4),
-               pkg-config,
+               pkgconf,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
-Homepage: https://wiki.gnome.org/Apps/Web
+Homepage: https://apps.gnome.org/Epiphany/
 
 Package: epiphany-browser
 Architecture: any

## epiphany-browser 46.2

=== debian/changelog ===
epiphany-browser (46.2-1) unstable; urgency=medium

  * New upstream release (LP: #2071519)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jun 2024 11:08:28 -0400

## epiphany-browser 46.5

=== meson_options.txt ===
option('developer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable developer mode'
)

option('tech_preview',
  type: 'boolean',
  value: false,
  description: 'Enable Epiphany Tech Preview branding'
)

option('profile',
  type: 'string',
  value: '',
  description: 'Build with appended profile to application ID'
)

option('unit_tests',
  type: 'feature',
  value: 'enabled',
  description: 'Enable unit tests'
)

option('granite',
  type: 'feature',
  value: 'disabled',
  description: 'Enable elementary OS integration. Requires Granite'
)

=== debian/changelog ===
epiphany-browser (46.5-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2096952)
  * Refresh patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 20:02:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
@@ -39,7 +40,7 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://apps.gnome.org/Epiphany/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgranite=enabled

execute_after_dh_install-arch:
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_auto_test:
	dbus-run-session -- xvfb-run -a dh_auto_test

override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/epiphany/cache.json \
	46/epiphany-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## epiphany-browser 46.5-0ubuntu1trisquel2

=== debian/changelog ===
epiphany-browser (46.5-0ubuntu1trisquel2) ecne; urgency=medium

  * Epiphany browser compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 02 Jun 2025 10:15:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,

## epiphany-browser 47.0

=== debian/changelog ===
epiphany-browser (47.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Release to unstable

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 16:55:39 +0200

epiphany-browser (47~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Aug 2024 14:41:25 -0400

epiphany-browser (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & libadwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 13:02:38 -0400

epiphany-browser (46.3-1) unstable; urgency=medium

  * New upstream release
    - Firefox Sync has been disabled

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 12:22:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
@@ -15,7 +14,7 @@
                gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
-               libadwaita-1-dev (>= 1.4~beta),
+               libadwaita-1-dev (>= 1.6~beta),
                libarchive-dev,
                libgcr-4-dev,
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
@@ -23,7 +22,7 @@
                libglib2.0-dev (>= 2.67.4),
                libgranite-7-dev (>= 7.2.0),
                libgstreamer1.0-dev,
-               libgtk-4-dev (>= 4.12.0),
+               libgtk-4-dev (>= 4.13.3),
                libjson-glib-dev (>= 1.6),
                libportal-gtk4-dev (>= 0.6),
                libsecret-1-dev (>= 0.19),
@@ -40,7 +39,7 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://apps.gnome.org/Epiphany/

## epiphany-browser 47.2

=== debian/changelog ===
epiphany-browser (47.2-1) unstable; urgency=medium

  * New upstream release (LP: #2092240)
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 18:49:57 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: appstream-util,
+Build-Depends: debhelper-compat (= 13),
+               appstream-util,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 13),
                desktop-file-utils,
-               dh-sequence-gnome,
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),

## epiphany-browser 48~beta

=== debian/changelog ===
epiphany-browser (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Add Recommends: gstreamer1.0-plugins-bad

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 14:15:56 -0500

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: swfdec-mozilla
-Recommends: ca-certificates, evince, yelp
+Recommends: ca-certificates, evince, gstreamer1.0-plugins-bad, yelp
 Provides: gnome-www-browser, www-browser
 Description: Intuitive GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at

## epiphany-browser 48.0

=== debian/changelog ===
epiphany-browser (48.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1099788)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 11:45:35 -0400

epiphany-browser (48~rc-2) unstable; urgency=medium

  * Remove Recommends: evince

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 22:42:03 -0500

epiphany-browser (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 11:34:52 -0500

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: swfdec-mozilla
-Recommends: ca-certificates, evince, gstreamer1.0-plugins-bad, yelp
+Recommends: ca-certificates, gstreamer1.0-plugins-bad, yelp
 Provides: gnome-www-browser, www-browser
 Description: Intuitive GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at

## epiphany-browser 48.2

=== debian/changelog ===
epiphany-browser (48.2-1) unstable; urgency=high

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Apr 2025 13:13:03 -0400

epiphany-browser (48.1-1) unstable; urgency=high

  * New upstream bugfix release
    - SECURITY UPDATE: Require user interaction before opening URL in
      external application
    - CVE-2025-3839

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Apr 2025 12:28:03 -0400

## epiphany-browser 48.3

=== debian/changelog ===
epiphany-browser (48.3-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:42:41 +0200

epiphany-browser (48.3-2) unstable; urgency=medium

  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:07:45 +0200

epiphany-browser (48.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 08:16:27 -0400

## epiphany-browser 48.5

=== debian/changelog ===
epiphany-browser (48.5-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-48 branch up to commit
    48.5-11-gad85e94e0, excluding CI-only changes
    - Fix regressions in 48.5-1 when taking screenshots
    - Fix navigation buttons becoming clickable when exiting sidebar
    - Translation updates
  * d/control: Remove unused B-D libgirepository1.0-dev,
    gobject-introspection
  * d/control: Remove unused B-D on gtk-doc-tools and -doc packages
  * d/rules: Pass options to xvfb-run to make testing more reliable
    (see #981201)
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Sep 2025 00:49:34 +0100

epiphany-browser (48.5-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:11:43 -0400

epiphany-browser (48.5-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release 48.4
    - Fix app ID in metainfo
    - Disconnect signal handlers correctly, fixing a use-after-free crash
      (epiphany#2653 upstream)
    - In incognito mode (private browsing), don't use saved HTTP
      authentication passwords from normal mode
      (epiphany#2651 upstream)
    - Fix inability to authenticate on authenticationtest.com by avoiding
      a spurious authentication attempt with known-wrong credentials
      (epiphany!1745 upstream)
    - Use the creation time for webapps' "Installed on" date, not the
      modification time
      (epiphany#2604 upstream)
    - Don't consider og:image (a media preview used when sharing links on
      social media) as a candidate for the icon for a webapp, since it often
      points to an image that merely appears on the referenced website
      (epiphany!1755 upstream)
    - Fix a crash on exit if the export dialog has been dismissed, and
      relatedly a memory leak
      (epiphany#2661 upstream)
    - Fix two crashes on startup if running under Pantheon
      (epiphany!1818 upstream; not relevant to Debian unless that desktop
      environment is installed from a third-party source)
    - Improve robustness of password import, avoiding some crashes
      (epiphany!1843 upstream)
    - Fix PKCS#11 login for invalid cert/priv pairs
      (epiphany!1857 upstream)
    - Translation updates
    - Upstream CI fixes not relevant to Debian
  * New upstream bugfix release 48.5
    - Upstream CI fixes not relevant to Debian
  * d/patches: Update from upstream gnome-48 branch up to commit
    48.5-4-g63cdbb5ac
    - When saving a web resource as a PNG screenshot (an easter egg for
      power users), if the original web resource was itself a PNG, save
      it as-is
      (epiphany!1899 upstream)
    - Fix a crash while editing bookmark tags
      (epiphany!1915 upstream)
    - Translation updates
  * d/gbp.conf, d/watch: Use the upstream 48.x branch for trixie
  * Upload to experimental to start with

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jul 2025 09:21:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,17 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util,
+               appstream,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                desktop-file-utils,
-               gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
-               gtk-doc-tools (>= 1.0),
                iso-codes (>= 0.35),
                itstool,
                libadwaita-1-dev (>= 1.6~beta),
                libarchive-dev,
                libgcr-4-dev,
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
-               libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.67.4),
                libgranite-7-dev (>= 7.2.0),
                libgstreamer1.0-dev,
@@ -37,7 +34,6 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 		&& mv epiphany-browser.sh epiphany-browser
 
 override_dh_auto_test:
-	dbus-run-session -- xvfb-run -a dh_auto_test
-
-override_dh_gnome_clean:
+	dbus-run-session -- \
+	xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
+	dh_auto_test

## epiphany-browser 49.0

=== debian/changelog ===
epiphany-browser (49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita
  * Add Build-Depends: blueprint-compiler
  * Add Build-Depends: python3-docutils for manpage generation
  * Enable all auto features
  * Stop opting into granite support because Pantheon isn't in Debian
    (Closes: #1109326)
  * Remove patches applied in new release
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 15:28:47 -0400

## epiphany-browser 49.1

=== debian/changelog ===
epiphany-browser (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 Oct 2025 16:36:27 -0400

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: debhelper-compat (= 13),
                appstream,
                at-spi2-core <!nocheck>,
+               blueprint-compiler,
                dbus <!nocheck>,
                desktop-file-utils,
                gsettings-desktop-schemas-dev,
                iso-codes (>= 0.35),
                itstool,
-               libadwaita-1-dev (>= 1.6~beta),
+               libadwaita-1-dev (>= 1.8~alpha),
                libarchive-dev,
                libgcr-4-dev,
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libglib2.0-dev (>= 2.67.4),
-               libgranite-7-dev (>= 7.2.0),
+#               libgranite-7-dev (>= 7.2.0),
                libgstreamer1.0-dev,
                libgtk-4-dev (>= 4.13.3),
                libjson-glib-dev (>= 1.6),
@@ -31,10 +32,10 @@
                meson (>= 0.59.0),
                nettle-dev (>= 3.4),
                pkgconf,
+               python3-docutils,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser
 Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git
 Homepage: https://apps.gnome.org/Epiphany/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgranite=enabled
+		-Dauto_features=enabled
 
 execute_after_dh_install-arch:
 	cd debian/epiphany-browser/usr/bin \

=== debian/watch ===
Version: 5
Source: https://download.gnome.org/sources/epiphany/cache.json
Searchmode: plain
Downloadurlmangle: s|cache.json||
Uversionmangle: s/\.(alpha|beta|rc)/~$1/
Matching-Pattern: [\d.]+/epiphany-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## epiphany-browser 49.2

=== debian/changelog ===
epiphany-browser (49.2-3) unstable; urgency=medium

  * Replace Build-Depends: dbus with dbus-daemon (Closes: #1122566)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Dec 2025 09:22:48 -0500

epiphany-browser (49.2-2) unstable; urgency=medium

  * Remove unnecessary Priority: optional field
  * Salsa CI: ignore blhc failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 23:09:29 -0500

epiphany-browser (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Nov 2025 16:37:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: epiphany-browser
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream,
                at-spi2-core <!nocheck>,
                blueprint-compiler,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                desktop-file-utils,
                gsettings-desktop-schemas-dev,
                iso-codes (>= 0.35),
